<script setup lang="ts">
import { RouterLink, type RouteRecordName } from 'vue-router'
import { useMenuStore } from '@/stores/menu'

import Button from '@/components/Button.vue';

import HeartIcon from '@/components/Icons/HeartIcon.vue'
import ArrowDonwIcon from '@/components/Icons/ArrowDownIcon.vue'
import LanguageIcon from './Icons/LanguageIcon.vue';

const menuStore = useMenuStore()

const getDonateBgColor = (route: RouteRecordName | null | undefined): string =>
  route === 'home' || route === 'bloc'
    ? 'var(--primary-green)'
    : 'var(--complementary-white)'

const getDonateTextColor = (route: RouteRecordName | null | undefined): string =>
  route === 'home' || route === 'bloc'
    ? 'var(--complementary-white)'
    : 'var(--primary-green)'

const getDonateIconColor = (route: RouteRecordName | null | undefined): string | undefined =>
  route === 'home' || route === 'bloc'
    ? undefined
    : '#009639'
</script>

<template>
  <nav>
    <div>
      <RouterLink to="/"><img src="@/assets/logo.svg" /></RouterLink>
      <a href="#" @click="() => menuStore.toggle('ressources', {
  top: 64,
  left: 64
})">
        {{ $t('LINKS.RESSOURCES') }}
        <ArrowDonwIcon />
      </a>
      <RouterLink to="/contribute">{{ $t('LINKS.CONTRIBUTE') }}</RouterLink>
      <RouterLink to="/about">{{ $t('LINKS.ABOUT') }}</RouterLink>
      <Button link="/donate" :color="getDonateBgColor($route.name)" :text-color="getDonateTextColor($route.name)">
        {{ $t('LINKS.DONATE') }}
        <HeartIcon :color="getDonateIconColor($route.name)" />
      </Button>
    </div>

    <a href="#" @click="() => menuStore.toggle('lang', {
  top: 54,
  right: 32
})">
      <ArrowDonwIcon />
      <LanguageIcon />
    </a>
  </nav>
</template>

<style scoped>
nav {
  height: 64px;
  width: calc(100% - 64px);

  padding: 0 32px 0 32px;

  display: flex;
  align-items: center;
  justify-content: space-between;
}

nav div {
  display: flex;
  align-items: center;

  gap: 32px;
}

nav div a {
  display: flex;
  align-items: center;
  gap: 8px;

  height: 2rem;
  min-width: 30px;

  text-decoration: none;
  font-weight: 600;
  font-size: 14px;
}

nav div a img {
  max-width: 30px;
}
</style>